Skip to main content
POST
/
v2
/
templates
/
{templateId}
/
sync-projects
Sincroniza projetos de um template
curl --request POST \
  --url https://app.tarefy.com/nodeapi/v2/templates/{templateId}/sync-projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    123
  ],
  "automationDecisions": [
    {
      "projectId": 123,
      "templateAutomationId": 123
    }
  ]
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/templates/{templateId}/sync-projects"

payload = {
"projectIds": [123],
"automationDecisions": [
{
"projectId": 123,
"templateAutomationId": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectIds: [123],
automationDecisions: [{projectId: 123, templateAutomationId: 123}]
})
};

fetch('https://app.tarefy.com/nodeapi/v2/templates/{templateId}/sync-projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

JWT token obtained from /v2/auth/login. Send it in the header: Authorization: Bearer <your_token>

Path Parameters

templateId
string
required

Body

application/json
projectIds
integer[]
required
removedColumnsAction
enum<string>
Available options:
delete,
keep,
move-to-first,
archive
automationDecisions
object[]

Response

200 - application/json

Projetos sincronizados com sucesso

The response is of type object.